summaryrefslogtreecommitdiff
path: root/tests/mv/acl
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2005-12-07 08:08:08 +0000
committerJim Meyering <jim@meyering.net>2005-12-07 08:08:08 +0000
commit5dd88397162e59b68b24b54ab0189f0dcda76da5 (patch)
tree1474b04a483de2810b8567584098cd044d29c2c2 /tests/mv/acl
parent45daa1a04d186cc983a1cffb7342509ad192c919 (diff)
downloadcoreutils-5dd88397162e59b68b24b54ab0189f0dcda76da5.tar.xz
exit-77 before the trap, not after, if we fail
to create a temporary directory on another partition.
Diffstat (limited to 'tests/mv/acl')
-rwxr-xr-xtests/mv/acl7
1 files changed, 4 insertions, 3 deletions
diff --git a/tests/mv/acl b/tests/mv/acl
index ef5018759..e867e827b 100755
--- a/tests/mv/acl
+++ b/tests/mv/acl
@@ -14,14 +14,15 @@ if test "$VERBOSE" = yes; then
setfacl --version
fi
+if test -z "$other_partition_tmpdir"; then
+ (exit 77); exit 77
+fi
+
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
-if test -z "$other_partition_tmpdir"; then
- (exit 77); exit 77
-fi
t0="$t0 $other_partition_tmpdir"
framework_failure=0